/*-------------------------------------------------------------------------------
  ExtRes Creator V1.1
  Copyright 2003 Tumbleweeds ICT. All rights reserved
-------------------------------------------------------------------------------

  Get the latest version of Extres at www.extres.org.
-------------------------------------------------------------------------------
  Author(s): Patrick van Kemenade
  Revision info :  09-10-2003  Created
                   10-11-2003  Added prototypes for extResSerialize and
                               extResUnserialize
-------------------------------------------------------------------------------}
*/
#ifndef extres_h_included
#define extres_h_included

#define DLLFUNC __declspec(dllimport) __stdcall

#ifdef __cplusplus
extern "C" {            // Assume C declarations for C++
#endif

DLLFUNC int    extResRegister(const char *name, const char *code);
DLLFUNC int    extResCreate(const char *fin, const char *fout, const char *key, bool compress);
DLLFUNC HANDLE extResLoad(const char *fname);
DLLFUNC int    extResLastError(char *str, int maxSize);
DLLFUNC int    extResSetKey(HANDLE extResHandle, const char *key);
DLLFUNC int    extResUnload(HANDLE extResHandle);
DLLFUNC LPSTR  extResGet(HANDLE extResHandle, int id, long *size);
DLLFUNC int    extResFree(LPSTR element);
DLLFUNC LPSTR  extResSerialize(LPSTR str);
DLLFUNC int    extResUnserialize(LPSTR str);


#ifdef __cplusplus
}                       // End of extern "C"
#endif

#endif